import os

import header


def erstelleHalbjahresuebersicht(kursid, klassekurs_name, dateien, path, namen, gebdaten, config, inputs, kurs_inputs):

    table = ''

    allg = inputs["Allgemein"]
    schuljahr = allg["schuljahr"]
    halbjahr = allg["halbjahr"]

    allgemein = inputs["Allgemein"]

    try:
        kw_start = int(allgemein["kw_start"])
        kw_ende = int(allgemein["kw_ende"])
        kw_ferien = allgemein["kw_ferien"]
        ferien = kw_ferien.split(",")
    except KeyError:
        print('"kw_start", "kw_ende" oder "kw_ferien" fehlt im allgemeinen Teil der Input-Datei!')
        exit(0)

    table += '<a name="'+klassekurs_name+'Halbjahr"></a>'

    table += header.erstelleKursnavigation(kursid, 'Planung Halbjahr', 'halbjahr', klassekurs_name, gebdaten, dateien, path, config, inputs, kurs_inputs)

    css = 'halbjahr'

    table += '<table class="'+css+'" repeat="1">'

    table += '<tr class="header"><th class="kw">KW</th>'
    table += '<th class="kw_sessions">Sitzungen</th><th class="kw_content"></th>'
    table += '</tr>'

    extrakw = ''

    if (halbjahr=='1'):
        for count in range(kw_start, 52):
            if (not(str(count) in ferien)):
                zusatz = ""
                if (str(count+1) in ferien):
                    zusatz = ' class="trenner"'
                table += '<tr'+zusatz+'><td class="kw'+extrakw+'">'+str(count)+'</td>'
                table += '<td class="kw_sessions"></td><td class="kw_content"></td></tr>'
        for count in range(1, kw_ende+1):
            if (not(str(count) in ferien)):
                zusatz = ""
                if (str(count+1) in ferien):
                    zusatz = ' class="trenner"'
                table += '<tr'+zusatz+'><td class="kw'+extrakw+'">'+str(count)+'</td>'
                table += '<td class="kw_sessions"></td><td class="kw_content"></td></tr>'
    else:
        for count in range(kw_start, kw_ende+1):
            if (not(str(count) in ferien)):
                zusatz = ""
                if (str(count+1) in ferien):
                    zusatz = ' class="trenner"'
                table += '<tr'+zusatz+'><td class="kw'+extrakw+'">'+str(count)+'</td>'
                table += '<td class="kw_sessions"></td><td class="kw_content"></td></tr>'

    table += '</table>'

    table += '<pdf:nextpage />'

    return table
